package com.kingdee.eas.custom.facade;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.facade.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class SickQuotaFacade extends AbstractBizCtrl implements ISickQuotaFacade
{
    public SickQuotaFacade()
    {
        super();
        registerInterface(ISickQuotaFacade.class, this);
    }
    public SickQuotaFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISickQuotaFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("9E9DE998");
    }
    private SickQuotaFacadeController getController() throws BOSException
    {
        return (SickQuotaFacadeController)getBizController();
    }
    /**
     *生成额度-User defined method
     *@param executeDate 病假执行日期
     */
    public void createQuota(String executeDate) throws BOSException, EASBizException
    {
        try {
            getController().createQuota(getContext(), executeDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}